Bug 730379 - libresolv is not compiled with the stack protector enabled
Summary: libresolv is not compiled with the stack protector enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.1
Hardware: All
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 756453
TreeView+ depends on / blocked
 
Reported: 2011-08-12 17:13 UTC by Steve Grubb
Modified: 2016-11-24 15:59 UTC (History)
2 users (show)

Fixed In Version: glibc-2.12-1.38.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 756453 (view as bug list)
Environment:
Last Closed: 2011-12-06 17:48:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC

Description Steve Grubb 2011-08-12 17:13:59 UTC
Description of problem:
The libresolv library is not compiled with the stack protector enabled. Because it talks to remote DNS servers to do lookups, it might be subjected to malformed replies. Although there are no known bugs in this library that are exploitable, it is prudent to make sure we have used protection mechanisms built into the compiler "just in case". Because of network delays and server response times, any overhead created by the stack protector is likely to be unnoticed.

Steps to Reproduce:
1. checksec.sh --file /lib64/libresolv-2.12.so
  
Actual results:
Partial RELRO   No canary found   NX enabled    Dynamic Shared Object 

Expected results:
Partial RELRO   Canary found   NX enabled    Dynamic Shared Object

Comment 3 errata-xmlrpc 2011-12-06 17:48:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.